Index: trip-planner-front/src/app/_models/dto/loginRequest.ts
===================================================================
--- trip-planner-front/src/app/_models/dto/loginRequest.ts	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
+++ trip-planner-front/src/app/_models/dto/loginRequest.ts	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
@@ -0,0 +1,12 @@
+export class LoginRequest{
+
+    username: string;
+    password: string;
+
+
+
+    constructor(){
+        this.username = '';
+        this.password = '';
+    }
+}
Index: trip-planner-front/src/app/_models/dto/plannerDto.ts
===================================================================
--- trip-planner-front/src/app/_models/dto/plannerDto.ts	(revision 1ad8e64a349fcc7c996155279b16efc2cfe001dd)
+++ trip-planner-front/src/app/_models/dto/plannerDto.ts	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
@@ -1,3 +1,2 @@
-import { Location } from "../location";
 
 export class PlannerDto{
Index: trip-planner-front/src/app/_models/dto/userDto.ts
===================================================================
--- trip-planner-front/src/app/_models/dto/userDto.ts	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
+++ trip-planner-front/src/app/_models/dto/userDto.ts	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
@@ -0,0 +1,16 @@
+export class UserDto{
+
+    username: string;
+    fullName: string;
+    password: string;
+    confirmPassword: string;
+
+
+    constructor(){
+        this.username = '';
+        this.fullName = '';
+        this.password = '';
+        this.confirmPassword = '';
+
+    }
+}
Index: trip-planner-front/src/app/_models/planner.ts
===================================================================
--- trip-planner-front/src/app/_models/planner.ts	(revision 1ad8e64a349fcc7c996155279b16efc2cfe001dd)
+++ trip-planner-front/src/app/_models/planner.ts	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
@@ -1,3 +1,4 @@
 export class Planner{
+    
     id: number;
     name: string;
Index: trip-planner-front/src/app/_models/user.ts
===================================================================
--- trip-planner-front/src/app/_models/user.ts	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
+++ trip-planner-front/src/app/_models/user.ts	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
@@ -0,0 +1,20 @@
+export class User{
+
+    id: number;
+    username: string;
+    fullName: string;
+    password: string;
+    confirmPassword: string;
+    create_At: Date;
+    update_At:Date;
+
+    constructor(){
+        this.id = 1;
+        this.username = '';
+        this.fullName = '';
+        this.password = '';
+        this.confirmPassword = '';
+        this.create_At = new Date();
+        this.update_At = new Date();
+    }
+}
Index: trip-planner-front/src/app/_services/planner.service.ts
===================================================================
--- trip-planner-front/src/app/_services/planner.service.ts	(revision 1ad8e64a349fcc7c996155279b16efc2cfe001dd)
+++ trip-planner-front/src/app/_services/planner.service.ts	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
@@ -1,3 +1,3 @@
-import { HttpClient } from "@angular/common/http";
+import { HttpClient, HttpHeaders } from "@angular/common/http";
 import { Injectable } from "@angular/core";
 import { Observable } from "rxjs";
@@ -8,15 +8,25 @@
     providedIn: 'root'
 })
-export class PlannerService{
-    
+export class PlannerService {
+
+    httpHeaders: HttpHeaders = new HttpHeaders({
+        'Authorization': ''+sessionStorage.getItem("token"),
+        'Accept': 'application/json',
+        'Content-Type': 'application/json'
+      });
+      
+
     constructor(private httpClient: HttpClient){
     }
 
+   
     getAllPlanners():Observable<Planner[]>{
-        let url = "http://localhost:8080/api/planners";
-        return this.httpClient.get<Planner[]>(url);
+        let url = "http://localhost:8080/api/planners/user";
+        console.log("SERVID: " + sessionStorage.getItem("token"));
+        console.log(this.httpHeaders.get('Authorization'))  ;
+        return this.httpClient.get<Planner[]>(url, {headers: this.httpHeaders});     
     }
 
-    postInitialPlanner(planner: Planner): Observable<Object>{     
+    postInitialPlanner(planner: Planner): Observable<Planner>{     
         let url = "http://localhost:8080/api/planner/new";
         return this.httpClient.post<Planner>(url, planner);
@@ -25,5 +35,5 @@
     updatePlanner(id: number, plannerDto : PlannerDto):Observable<Planner>{    
     let url = "http://localhost:8080/api/edit/planner/" + id;
-    return this.httpClient.put<Planner>(url, plannerDto);
+    return this.httpClient.put<Planner>(url, plannerDto, {headers: this.httpHeaders});
     }
 
Index: trip-planner-front/src/app/_services/user.service.ts
===================================================================
--- trip-planner-front/src/app/_services/user.service.ts	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
+++ trip-planner-front/src/app/_services/user.service.ts	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
@@ -0,0 +1,53 @@
+import { HttpClient, HttpHeaders } from "@angular/common/http";
+import { Injectable } from "@angular/core";
+import { Observable } from "rxjs";
+import { map } from "rxjs/operators";
+import { LoginRequest } from "../_models/dto/loginRequest";
+import { UserDto } from "../_models/dto/userDto";
+import { User } from "../_models/user";
+
+@Injectable({
+    providedIn: 'root'
+})
+export class UserService{
+
+     headers = new HttpHeaders({
+        'Content-Type': 'application/json',
+        'Access-Control-Allow-Headers': 'Content-Type',
+
+      });
+    
+    constructor(private httpClient: HttpClient){
+
+    }
+
+    registerUser(user : UserDto) : Observable<User>{
+        let url = "http://localhost:8080/api/users/register";
+        var reqHeader = new HttpHeaders({'No-Auth' : 'True'});
+        return this.httpClient.post<User>(url, user, { headers: reqHeader });
+    }
+    
+    authenticateUser(loginResult : LoginRequest) {
+        let url = "http://localhost:8080/api/users/login";
+        var reqHeader = new HttpHeaders({'Content-Type': 'application/json'});
+        return this.httpClient.post<any>(url, loginResult)
+        .pipe(
+            map(userData => {
+                sessionStorage.setItem("username", loginResult.username);
+                let tokenStr =  userData.token;
+                sessionStorage.setItem("token", tokenStr);
+                return userData;
+            })
+        );
+    }
+  
+      isUserLoggedIn() {
+        let user = sessionStorage.getItem("username");
+        let token = sessionStorage.getItem("token");
+        console.log(user);
+        console.log(token);
+        console.log(!(user === null));
+        return !(user === null);
+      }
+    
+}
Index: trip-planner-front/src/app/app-routing.module.ts
===================================================================
--- trip-planner-front/src/app/app-routing.module.ts	(revision 1ad8e64a349fcc7c996155279b16efc2cfe001dd)
+++ trip-planner-front/src/app/app-routing.module.ts	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
@@ -1,5 +1,7 @@
 import { NgModule } from '@angular/core';
 import { RouterModule, Routes } from '@angular/router';
+import { AuthGuard } from './auth/auth.guard';
 import { HomepageComponent } from './homepage/homepage.component';
+import { LoginComponent } from './homepage/login/login.component';
 import { LocationDetailsComponent } from './location/location-details/location-details.component';
 import { LocationComponent } from './location/location.component';
@@ -14,4 +16,5 @@
   {path: 'locations', component: LocationComponent},
   {path: '', component: HomepageComponent},
+  {path: '', component:LoginComponent},
   {path: 'location', component: LocationDetailsComponent}
 ];
Index: trip-planner-front/src/app/app.module.ts
===================================================================
--- trip-planner-front/src/app/app.module.ts	(revision 1ad8e64a349fcc7c996155279b16efc2cfe001dd)
+++ trip-planner-front/src/app/app.module.ts	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
@@ -4,5 +4,5 @@
 import { NgModule, NO_ERRORS_SCHEMA } from '@angular/core';
 import { FormsModule, ReactiveFormsModule } from '@angular/forms';
-import { HttpClient, HttpClientModule } from '@angular/common/http';
+import { HttpClient, HttpClientModule, HTTP_INTERCEPTORS } from '@angular/common/http';
 import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
 import { CategoryService } from './_services/cateogry.service';
@@ -47,4 +47,6 @@
 import { RegisterComponent } from './homepage/register/register.component';
 import { LoginComponent } from './homepage/login/login.component';
+import { AuthGuard } from './auth/auth.guard';
+import { AuthInterceptor } from './auth/auth.interceptor';
 
 @NgModule({
@@ -109,11 +111,17 @@
     PlannerService,
     {
-      provide: MatDialogRef,
-      useValue: {}
+      provide: MatDialogRef, 
+      useValue: {}, 
+    
+    },
+    {
+      provide: HTTP_INTERCEPTORS,
+      useClass: AuthInterceptor,
+      multi: true
     },
     DialogService,
     MessageService,
-    ConfirmationService
-
+    ConfirmationService,
+    AuthGuard
   ],
   
Index: trip-planner-front/src/app/auth/auth.guard.ts
===================================================================
--- trip-planner-front/src/app/auth/auth.guard.ts	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
+++ trip-planner-front/src/app/auth/auth.guard.ts	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
@@ -0,0 +1,21 @@
+import { Injectable } from '@angular/core';
+import { ActivatedRouteSnapshot, CanActivate, Router, RouterStateSnapshot, UrlTree } from '@angular/router';
+import { Observable } from 'rxjs';
+
+@Injectable({
+  providedIn: 'root'
+})
+export class AuthGuard implements CanActivate {
+
+  constructor(private router : Router){}
+  canActivate(
+    route: ActivatedRouteSnapshot,
+    state: RouterStateSnapshot): boolean{
+    
+      if(localStorage.getItem('token') != null)
+      return true;
+      this.router.navigate(['planners']);
+      return false;
+  }
+  
+}
Index: trip-planner-front/src/app/auth/auth.interceptor.ts
===================================================================
--- trip-planner-front/src/app/auth/auth.interceptor.ts	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
+++ trip-planner-front/src/app/auth/auth.interceptor.ts	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
@@ -0,0 +1,22 @@
+import { HttpHandler, HttpHeaders, HttpInterceptor, HttpRequest } from "@angular/common/http";
+import { Injectable } from "@angular/core";
+
+@Injectable({
+  providedIn: "root"
+})
+export class AuthInterceptor implements HttpInterceptor {
+
+  constructor() { }
+
+  intercept(req: HttpRequest<any>, next: HttpHandler) {
+
+    if (sessionStorage.getItem('username') && sessionStorage.getItem('token')) {
+      req = req.clone({
+        headers: req.headers.set("Authorization", "" + sessionStorage.getItem("token"))
+      });
+    }
+
+    return next.handle(req);
+
+  }
+}
Index: trip-planner-front/src/app/create-initial-planner/create-initial-planner.component.ts
===================================================================
--- trip-planner-front/src/app/create-initial-planner/create-initial-planner.component.ts	(revision 1ad8e64a349fcc7c996155279b16efc2cfe001dd)
+++ trip-planner-front/src/app/create-initial-planner/create-initial-planner.component.ts	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
@@ -12,14 +12,11 @@
 
   planner: Planner;
-  plannerDto: PlannerDto;
 
   constructor( private ref: DynamicDialogRef) {
                 this.planner = new Planner;
-                this.plannerDto = new PlannerDto();
               }
 
   ngOnInit(): void {
     this.planner = new Planner();
-    this.plannerDto = new PlannerDto();
   }
 
Index: trip-planner-front/src/app/homepage/homepage.component.html
===================================================================
--- trip-planner-front/src/app/homepage/homepage.component.html	(revision 1ad8e64a349fcc7c996155279b16efc2cfe001dd)
+++ trip-planner-front/src/app/homepage/homepage.component.html	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
@@ -21,5 +21,5 @@
         </li>
         <li class="nav-item">
-          <button class="btn btn-dark">Sign in</button>
+          <button class="btn btn-dark" (click)="onClickLogIn()">Sign in</button>
         </li>
       </ul>
@@ -30,6 +30,6 @@
     <img src={{imageURI}} />
     <h4></h4>
-
-    <div class="content-section implementation carousel-demo" style="padding-top: 2em;">
+<!--
+  <div class="content-section implementation carousel-demo" style="padding-top: 2em;">
       <div class="card">
         <p-carousel [value]="locations" [numVisible]="3" [numScroll]="3" [circular]="false"
@@ -91,4 +91,6 @@
       </div>
     </div>
+-->
+  
   </main>
 <br>
Index: trip-planner-front/src/app/homepage/homepage.component.ts
===================================================================
--- trip-planner-front/src/app/homepage/homepage.component.ts	(revision 1ad8e64a349fcc7c996155279b16efc2cfe001dd)
+++ trip-planner-front/src/app/homepage/homepage.component.ts	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
@@ -1,6 +1,11 @@
 import { Component, OnInit } from '@angular/core';
+import { Router } from '@angular/router';
 import { DialogService, DynamicDialogRef } from 'primeng/dynamicdialog';
+import { LoginRequest } from '../_models/dto/loginRequest';
+import { UserDto } from '../_models/dto/userDto';
 import { Location } from '../_models/location';
 import { LocationService } from '../_services/location.service';
+import { UserService } from '../_services/user.service';
+import { LoginComponent } from './login/login.component';
 import { RegisterComponent } from './register/register.component';
 
@@ -20,5 +25,6 @@
    ref: DynamicDialogRef;
 
-   constructor(private locationService: LocationService, private dialogService: DialogService) {
+   constructor(private locationService: LocationService, private dialogService: DialogService, private userService: UserService,
+      private router: Router) {
       this.responsiveOptions = [
          {
@@ -44,5 +50,5 @@
 
    ngOnInit(): void {
-
+/*
       this.locationService.getWeekendGetaways().subscribe(
          data => {
@@ -55,8 +61,8 @@
          }
       );
+      */
    }
 
-   onClickSignUp(){
-      console.log("VLEGOV");
+   onClickSignUp() {
       this.ref = this.dialogService.open(RegisterComponent, {
          header: 'Register form',
@@ -64,5 +70,34 @@
          contentStyle: { "max-height": "500px", "overflow": "auto" },
          baseZIndex: 10000
-       });
+      });
+
+      this.ref.onClose.subscribe((user: UserDto) => {
+         this.userService.registerUser(user).subscribe(
+            data  => {
+               console.log(data);
+              
+            }
+         );
+      });
+   }
+
+   
+   onClickLogIn() {
+      this.ref = this.dialogService.open(LoginComponent, {
+         header: 'Log in if you already have an account',
+         width: '70%',
+         contentStyle: { "max-height": "500px", "overflow": "auto" },
+         baseZIndex: 10000
+      });
+      this.ref.onClose.subscribe((loginRequest : LoginRequest) => {
+         this.userService.authenticateUser(loginRequest).subscribe(
+            (data : any)  => {
+               console.log(data);
+               if(this.userService.isUserLoggedIn()){
+                  this.router.navigate(['planners']);
+               }
+            }
+         );
+      });
    }
 }
Index: trip-planner-front/src/app/homepage/login/login.component.html
===================================================================
--- trip-planner-front/src/app/homepage/login/login.component.html	(revision 1ad8e64a349fcc7c996155279b16efc2cfe001dd)
+++ trip-planner-front/src/app/homepage/login/login.component.html	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
@@ -1,1 +1,18 @@
-<p>login works!</p>
+<div class="p-col-12 p-md-4">
+    <div class="p-inputgroup">
+        <span class="p-inputgroup-addon"><i class="pi pi-user"></i></span>
+        <input type="text" pInputText placeholder="Email address (Username)" 
+             [(ngModel)]="loginRequest.username" name="username">
+    </div>
+</div>
+<div class="p-col-12 p-md-4">
+    <div class="p-inputgroup">
+        <span class="p-inputgroup-addon"><i class="pi pi-password"></i></span>
+        <input type="password" pInputText placeholder="Password" name="password" [(ngModel)]="loginRequest.password">
+    </div>
+</div>
+
+<div class="p-col-12 p-md-4">
+    <button pButton pRipple label="Log in" class="p-button-secondary" type="submit"
+        (click)="onFormLogIn(loginRequest)"></button>
+</div>
Index: trip-planner-front/src/app/homepage/login/login.component.spec.ts
===================================================================
--- trip-planner-front/src/app/homepage/login/login.component.spec.ts	(revision 1ad8e64a349fcc7c996155279b16efc2cfe001dd)
+++ 	(revision )
@@ -1,25 +1,0 @@
-import { ComponentFixture, TestBed } from '@angular/core/testing';
-
-import { LoginComponent } from './login.component';
-
-describe('LoginComponent', () => {
-  let component: LoginComponent;
-  let fixture: ComponentFixture<LoginComponent>;
-
-  beforeEach(async () => {
-    await TestBed.configureTestingModule({
-      declarations: [ LoginComponent ]
-    })
-    .compileComponents();
-  });
-
-  beforeEach(() => {
-    fixture = TestBed.createComponent(LoginComponent);
-    component = fixture.componentInstance;
-    fixture.detectChanges();
-  });
-
-  it('should create', () => {
-    expect(component).toBeTruthy();
-  });
-});
Index: trip-planner-front/src/app/homepage/login/login.component.ts
===================================================================
--- trip-planner-front/src/app/homepage/login/login.component.ts	(revision 1ad8e64a349fcc7c996155279b16efc2cfe001dd)
+++ trip-planner-front/src/app/homepage/login/login.component.ts	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
@@ -1,3 +1,7 @@
 import { Component, OnInit } from '@angular/core';
+import { Router } from '@angular/router';
+import { DynamicDialogRef } from 'primeng/dynamicdialog';
+import { LoginRequest } from 'src/app/_models/dto/loginRequest';
+import { UserService } from 'src/app/_services/user.service';
 
 @Component({
@@ -8,8 +12,18 @@
 export class LoginComponent implements OnInit {
 
-  constructor() { }
+
+  loginRequest : LoginRequest;
+
+  constructor(private ref: DynamicDialogRef, private router: Router, private userService : UserService) { 
+    this.loginRequest = new LoginRequest();
+    
+  }
 
   ngOnInit(): void {
   }
 
+  onFormLogIn(loginRequest){
+    this.ref.close(loginRequest);
+   
+  }
 }
Index: trip-planner-front/src/app/homepage/register/register.component.html
===================================================================
--- trip-planner-front/src/app/homepage/register/register.component.html	(revision 1ad8e64a349fcc7c996155279b16efc2cfe001dd)
+++ trip-planner-front/src/app/homepage/register/register.component.html	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
@@ -1,31 +1,36 @@
-<div class="p-grid p-fluid">
-    <div class="p-col-12 p-md-4">
-        <div class="p-inputgroup">
-            <span class="p-inputgroup-addon"><i class="pi pi-user"></i></span>
-            <input type="text" pInputText placeholder="Full name">         
+
+    <div class="p-grid p-fluid">
+        <div class="p-col-12 p-md-4">
+            <div class="p-inputgroup">
+                <span class="p-inputgroup-addon"><i class="pi pi-user"></i></span>
+                <input type="text" pInputText placeholder="Full name" [(ngModel)]="user.fullName" name="fullName"
+            >         
+            </div>
         </div>
-    </div>
-
-    <div class="p-col-12 p-md-4">
-        <div class="p-inputgroup">
-            <span class="p-inputgroup-addon"><i class="pi pi-user"></i></span>
-            <input type="text" pInputText placeholder="Ema address (Username)">         
+    
+        <div class="p-col-12 p-md-4">
+            <div class="p-inputgroup">
+                <span class="p-inputgroup-addon"><i class="pi pi-user"></i></span>
+                <input type="text" pInputText placeholder="Email address (Username)" [(ngModel)]="user.username" name="username"
+              >         
+            </div>
         </div>
-    </div>
-    <div class="p-col-12 p-md-4">
-        <div class="p-inputgroup">
-            <span class="p-inputgroup-addon"><i class="pi pi-password"></i></span>
-            <input type="text" pInputText placeholder="Password">         
+        <div class="p-col-12 p-md-4">
+            <div class="p-inputgroup">
+                <span class="p-inputgroup-addon"><i class="pi pi-password"></i></span>
+                <input type="password" pInputText placeholder="Password" [(ngModel)]="user.password" name="password"
+                >         
+            </div>
         </div>
-    </div>
-    <div class="p-col-12 p-md-4">
-        <div class="p-inputgroup">
-            <span class="p-inputgroup-addon"><i class="pi pi-password"></i></span>
-            <input type="text" pInputText placeholder="Repeat password">         
+        <div class="p-col-12 p-md-4">
+            <div class="p-inputgroup">
+                <span class="p-inputgroup-addon"><i class="pi pi-password"></i></span>
+                <input type="password" pInputText placeholder="Repeat password" [(ngModel)]="user.confirmPassword" name="confirmPassword"
+                >         
+            </div>
         </div>
-    </div>
-
-    <div class="p-col-12 p-md-4">
-        <button pButton pRipple type="button" label="Submit" class="p-button-secondary"></button>
-    </div>
-</div>
+    
+        <div class="p-col-12 p-md-4">
+            <button pButton pRipple label="Submit" class="p-button-secondary" type="submit" (click)="onFormSubmitSignUp(user)"></button>
+        </div>
+    </div>  
Index: trip-planner-front/src/app/homepage/register/register.component.ts
===================================================================
--- trip-planner-front/src/app/homepage/register/register.component.ts	(revision 1ad8e64a349fcc7c996155279b16efc2cfe001dd)
+++ trip-planner-front/src/app/homepage/register/register.component.ts	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
@@ -1,3 +1,5 @@
 import { Component, OnInit } from '@angular/core';
+import { DynamicDialogRef } from 'primeng/dynamicdialog';
+import { UserDto } from 'src/app/_models/dto/userDto';
 
 @Component({
@@ -8,8 +10,16 @@
 export class RegisterComponent implements OnInit {
 
-  constructor() { }
+  user : UserDto;
+
+  constructor(private ref: DynamicDialogRef) {
+    this.user = new UserDto();
+   }
 
   ngOnInit(): void {
   }
-
+  
+  onFormSubmitSignUp(user){
+    this.ref.close(user);
+    //window.location.reload();
+  }
 }
Index: trip-planner-front/src/app/planner/planner.component.ts
===================================================================
--- trip-planner-front/src/app/planner/planner.component.ts	(revision 1ad8e64a349fcc7c996155279b16efc2cfe001dd)
+++ trip-planner-front/src/app/planner/planner.component.ts	(revision 84d0fbb56bfbe319ba63e3327f1777ac5d841f83)
@@ -7,4 +7,6 @@
 import { DialogService, DynamicDialogRef } from 'primeng/dynamicdialog';
 import { MessageService, PrimeNGConfig } from 'primeng/api';
+import { UserDto } from '../_models/dto/userDto';
+import { UserService } from '../_services/user.service';
 
 
@@ -20,11 +22,13 @@
   plannerDto: PlannerDto;
   ref: DynamicDialogRef;
-
+  user: UserDto;
 
   constructor(private plannerService: PlannerService, private router: Router,
-    private dialogService: DialogService, private primengConfig: PrimeNGConfig, private messageService: MessageService) {
+    private dialogService: DialogService, private primengConfig: PrimeNGConfig, private messageService: MessageService,
+    private userService : UserService) {
     this.planners = [];
     this.plannerDto = new PlannerDto();
     this.ref = new DynamicDialogRef;
+    this.user = new UserDto();
   }
 
@@ -36,6 +40,7 @@
       data => {
         this.planners = data;
+        localStorage.getItem("token");
       }
-    );
+    ); 
   }
 
